# update-year [![NPM version](https://img.shields.io/npm/v/update-year.svg)](https://www.npmjs.com/package/update-year) [![Build Status](https://img.shields.io/travis/jonschlinkert/update-year.svg)](https://travis-ci.org/jonschlinkert/update-year)

> Update or add the current year to a range of years in a string.

- [Install](#install)
- [Usage](#usage)
  * [.matchRange](#matchrange)
- [Related projects](#related-projects)
- [Running tests](#running-tests)
- [Contributing](#contributing)
- [Author](#author)
- [License](#license)

_(TOC generated by [verb](https://github.com/verbose/verb) using [markdown-toc](https://github.com/jonschlinkert/markdown-toc))_

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm i update-year --save
```

## Usage

_(Useful for updating [copyright statements](https://github.com/jonschlinkert/update-copyright), etc.)_

Pass a year, or a range of years (e.g. `1999-2012`), and the current year will be appended or the range will be updated with the current year, using the correct syntax.

**Examples**

```js
var year = require('update-year');

year('2016'); //=> '2016'
year('2015'); //=> '2015-2016'
year('2012'); //=> '2012, 2016'
year('2013'); //=> '2013, 2016'
year('2014'); //=> '2014, 2016'
year('2013, 2015'); //=> '2013, 2015-2016'
year('2014-2015'); //=> '2014-2016'
year('1999, 2001'); //=> '1999, 2001, 2016'
year('1999-2001'); //=> '1999-2001, 2016'
year('1999-2001, 2009'); //=> '1999-2001, 2009, 2016'
```

### .matchRange

Match a year or year range in a string

```js
year.matchRange('foo bar 2009, 2011, 2013-2014 baz');
//=> '2009, 2011, 2013-2014'
```

## Related projects

* [month](https://www.npmjs.com/package/month): Get the name or number of the current month or any month of the year. | [homepage](https://github.com/datetime/month)
* [update-copyright](https://www.npmjs.com/package/update-copyright): Update the copyright statement in a string based on globally stored template and values. | [homepage](https://github.com/jonschlinkert/update-copyright)
* [year](https://www.npmjs.com/package/year): Simple utility to get the current year with 2 or 4 digits. | [homepage](https://github.com/jonschlinkert/year)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/update-year/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the MIT license.

***

_This file was generated by [verb](https://github.com/verbose/verb) on January 19, 2016._